com.ihr.xbrl.pojo.etl

## Class ExtractionTablePK

- java.lang.Object
- - com.ihr.xbrl.pojo.etl.ExtractionTablePK

- All Implemented Interfaces:
    java.io.Serializable

      public class ExtractionTablePK
      extends java.lang.Object
      implements java.io.Serializable

  The Class ExtractionTablePK.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractionTablePK()` Instantiates a new extraction table pk.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getCompanyID()` Gets the company id.
    `java.util.Date` | `getEndDate()` Gets the end date.
    `XBRLInstance` | `getInstance()` Gets the single instance of ExtractionTablePK.
    `java.util.Date` | `getStartDate()` Gets the start date.
    `int` | `hashCode()`
    `void` | `setCompanyID(java.lang.String companyID)` Sets the company id.
    `void` | `setEndDate(java.util.Date endDate)` Sets the end date.
    `void` | `setInstance(XBRLInstance instance)` Sets the instance.
    `void` | `setStartDate(java.util.Date startDate)` Sets the start date.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractionTablePK

          public ExtractionTablePK()

      Instantiates a new extraction table pk.

  - ### Method Detail

    - #### getInstance

          public XBRLInstance getInstance()

      Gets the single instance of ExtractionTablePK.
      Returns:
        the instance

    - #### setInstance

          public void setInstance(XBRLInstance instance)

      Sets the instance.
      Parameters:
        `instance` - the instance to set

    - #### getCompanyID

          public java.lang.String getCompanyID()

      Gets the company id.
      Returns:
        the companyID

    - #### setCompanyID

          public void setCompanyID(java.lang.String companyID)

      Sets the company id.
      Parameters:
        `companyID` - the companyID to set

    - #### getEndDate

          public java.util.Date getEndDate()

      Gets the end date.
      Returns:
        the endDate

    - #### setEndDate

          public void setEndDate(java.util.Date endDate)

      Sets the end date.
      Parameters:
        `endDate` - the endDate to set

    - #### getStartDate

          public java.util.Date getStartDate()

      Gets the start date.
      Returns:
        the startDate

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Sets the start date.
      Parameters:
        `startDate` - the startDate to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`